Bug 225617 - Merge Review: bitmap-fonts
Merge Review: bitmap-fonts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On: 481068
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:45 EST by Nobody's working on this, feel free to take it
Modified: 2010-08-15 12:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-15 12:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+


Attachments (Terms of Use)
repo-font-audit test results for this package (12.52 KB, application/x-xz)
2009-11-28 12:35 EST, Nicolas Mailhot
no flags Details

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:45:56 EST
Fedora Merge Review: bitmap-fonts

http://cvs.fedora.redhat.com/viewcvs/devel/bitmap-fonts/
Initial Owner: majain@redhat.com
Comment 1 Roozbeh Pournader 2007-02-03 08:36:04 EST
Random notes:
* rpmlint output:
W: bitmap-fonts invalid-license distributable
W: bitmap-fonts no-url-tag
W: bitmap-fonts-cjk invalid-license distributable
W: bitmap-fonts-cjk no-url-tag
W: bitmap-fonts-cjk no-documentation

* It seems that the Lucida fonts are not free software. See the LU_LEGALNOTICE
in the package.

* As this is actually three different set of fonts, the version (0.3) is quite
arbitrary. Also, at least ucs-fonts has released a newer version in 2006, while
the version in bitmap-fonts is from 2003.

* Release is complicated (5.1.1) for no real reason. Should be changed to
integer value (6?).

* BuildRoot should be changed to
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

* In the "cjk" subpackage summary, CJK should be spelled with capital letters.

* "Prereq" should be replaced by "Requires" (see
http://fedoraproject.org/wiki/Packaging/Guidelines#tags)
Comment 2 Roozbeh Pournader 2007-02-03 08:41:26 EST
Change fedora-review to negative and assign to owner for fixing them.
Comment 3 Mayank Jain 2007-02-27 08:14:01 EST
bitmap-fonts-0.3-5.1.2.fc7 has the following things fixed...

(In reply to comment #1)
> Random notes:
> * rpmlint output:
> W: bitmap-fonts invalid-license distributable
> W: bitmap-fonts no-url-tag
> W: bitmap-fonts-cjk invalid-license distributable
> W: bitmap-fonts-cjk no-url-tag
> W: bitmap-fonts-cjk no-documentation
> 
> * It seems that the Lucida fonts are not free software. See the LU_LEGALNOTICE
> in the package.
> 
> * As this is actually three different set of fonts, the version (0.3) is quite
> arbitrary. Also, at least ucs-fonts has released a newer version in 2006, while
> the version in bitmap-fonts is from 2003.
> 
> * Release is complicated (5.1.1) for no real reason. Should be changed to
> integer value (6?).

FIXXED

> * BuildRoot should be changed to
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIXED

> * In the "cjk" subpackage summary, CJK should be spelled with capital letters.

FIXED

> * "Prereq" should be replaced by "Requires" (see
> http://fedoraproject.org/wiki/Packaging/Guidelines#tags)

FIXED

Others - added the dist tag.

Comment 4 Mayank Jain 2007-02-27 08:15:38 EST
Hi Roozbeh,

How do we handle the LU_LEGALNOTICE issue?
And how do we solve the no-url-tag & no-documentation issues?

Thanks,
Mayank
Comment 5 Red Hat Bugzilla 2007-05-13 21:22:22 EDT
User majain@redhat.com's account has been closed
Comment 6 Parag AN(पराग) 2008-02-12 07:28:08 EST
looks like a stalled review.
Taking ownership of this review and CC'ing to rbhalera who is new maintainer for
this package.
Comment 7 Parag AN(पराग) 2008-02-13 02:01:36 EST
spot and nim-nim,
  Can you please help me to know legality of this package and its license name?
Are Lucida fonts acceptable?
Comment 8 Nicolas Mailhot 2008-02-15 04:43:14 EST
(In reply to comment #7)
> spot and nim-nim,
>   Can you please help me to know legality of this package and its license name?
> Are Lucida fonts acceptable?

For spot (FE-LEGAL)
Comment 9 Tom "spot" Callaway 2008-05-12 15:04:21 EDT
Lucida fonts are acceptable. If we modify the fonts in any way, we'll need to
stop using the Lucida trademarks (similar to Bitstream Vera).

The fixfonts appear to have come from KDE3's "konsole" application, and are
licensed as GPLv2 (http://websvn.kde.org/tags/KDE/3.5.9/kdebase/konsole/).

Use License: GPLv2 and Lucida

Lifting FE-Legal.
Comment 10 Nicolas Mailhot 2009-05-16 05:25:26 EDT
This package is currently a bundle of fonts collected from different sources with different licenses. Our font packaging guidelines would call for some splitting here (terminus-fonts is an example of mono-bitmap-font package)
Comment 11 Jens Petersen 2009-09-22 01:48:42 EDT
I am not sure about the importance of this package
though it has been in the distro for a long time.

Most of the fonts seem to be duplicated in xorg-x11-fonts.
At least the ucs-fonts and lucidatypewriter are AFAICT.

$ cd bitmap-fonts/devel/bitmap-fonts-0.3
$ find -name "*.bdf" | wc -l
33
$ for i in *.bdf; do find xorg-x11-fonts/devel/xorg-x11-fonts-7.2/font-misc-misc-1.0.0 -name $i ; done | wc -l
44

which only seems to really leave fangsongti.
Comment 12 Pravin Satpute 2009-09-30 04:58:59 EDT
pasting review comment from bug 481068, pasting only important one
---------------------------------------------------

Comment #8 From  Nicolas Mailhot (nicolas.mailhot@laposte.net)  2009-09-21 17:42:02 EDT   (-) [reply] -------      Private

Well fc-scan shows that most of the bdf files declare themselves as "Fixed",
two of them think they are "Fangsong ti" and the others are not parsable by
fc-scan.

So you need at minimum a

1. a foo-fixed-fonts subpackage, 
2. a foo-fangsong-ti-fonts subpackage, 
3. and get Behdad to look at the other files and tell you if it's a bug his
side or if the files need some form of fixing. Fontconfig won't be able to use
them if it can't read the font name inside. The readme says they are Lucida but
fontconfig does not read readmes. 

Also
- it would be probably cleaner to package the ucs fonts in a ucs-fixed-fonts
package instead of hiding their origin in a collection package
- the licensing of Fangsong ti needs to be extracted from the fonts in a .txt
people can actually read.  


Comment #13 From  Pravin Satpute (psatpute@redhat.com)  2009-09-29 05:29:03 EDT   (-) [reply] -------      Private

sorry for bit late update 

fc-scan works fine on all *.pcf files

i have done suggested changes updated spec and srpm are as follows

http://pravins.fedorapeople.org/bitmap-fonts/bitmap-fonts.spec
http://pravins.fedorapeople.org/bitmap-fonts/bitmap-fonts-0.3-10.fc11.src.rpm

also created a new package request for ucs-fixed-fonts

bug 526204
Comment 13 Nicolas Mailhot 2009-09-30 05:34:07 EDT
I'll look at it this evening. Please make sure the font name appears in the package name (ucs-fixed-fonts, bitmap-fangsong-ti-fonts, etc)
Comment 14 Pravin Satpute 2009-09-30 07:16:40 EDT
yep, font name appearing
just instead of bitmap-fangsong-ti-fonts it is bitmap-fangsongti-fonts
Comment 15 Pravin Satpute 2009-09-30 07:18:47 EDT
also as commented by Jens in comment #11 
IMO we should plan from that direction also, otherwise it looks bad two Packages providing same Set of Fonts
Comment 16 Nicolas Mailhot 2009-09-30 18:40:37 EDT
I need to look at it some more (got distracted by other bug requests, and this is a complex package), however here are some remarks

1. rpm will evaluate your %global even with # (why did you want to comment it out?)

2. common_desc should be a global too

3. your -fixed subpackage  contains font files that declare themselves as "Console". These should go in a  "console" subpackage

4. not too sure if it'd be better to move console8x8 in its own subpackage or just rename or remap it (cf remapping template)

5. You can drop the duplicated 
Group: Applications/System
lines, the main one will be inherited in modern rpm

6. why do you add a Requires(pre): fontconfig ? We do not require fontconfig in font packages. Do you have a special need?

7. what do you need xorg-x11-font-utils as BR for ?

8. I think you can specify a different LICENSE field per subpackage, can you check with spot how he'd prefer the licensing reported ? (mixed licensing packages are a PITA) I feel if it'd be better if each subpackage was tagged with just the necessary license info (and included the corresponding license files)

9. fontconfig will happily use pcf.gz files, please compress your pcf files (if you're feeling ambitious ask behdad if he intends to support pcf.xz soon)

That's all for this first partial review, will look more in depth tomorrow
Comment 17 Pravin Satpute 2009-10-01 06:04:05 EDT
(In reply to comment #16) 
> 3. your -fixed subpackage  contains font files that declare themselves as
> "Console". These should go in a  "console" subpackage

as it has only console fonts in it dropping this subpackage and will have bitmap-console-fonts subpackage

> 
> 6. why do you add a Requires(pre): fontconfig ? We do not require fontconfig in
> font packages. Do you have a special need?
> 
> 7. what do you need xorg-x11-font-utils as BR for ?
> 
> 8. I think you can specify a different LICENSE field per subpackage, can you
> check with spot how he'd prefer the licensing reported ? (mixed licensing
> packages are a PITA) I feel if it'd be better if each subpackage was tagged
> with just the necessary license info (and included the corresponding license
> files)
> 

can you guide me little bit about what is exact LICENSES of fangsongati, just test is give but not mention which GPL version etc.

> 9. fontconfig will happily use pcf.gz files, please compress your pcf files (if
> you're feeling ambitious ask behdad if he intends to support pcf.xz soon)
> 
> That's all for this first partial review, will look more in depth tomorrow  

ok, so fontdir will contain pcf.gz file, looks ok

thanks for first review
as we are targeting this for f13 we have some time now :)
Comment 18 Pravin Satpute 2009-10-08 01:25:27 EDT
updated SPEC : http://pravins.fedorapeople.org/bitmap-fonts.spec
updated SRPM : http://pravins.fedorapeople.org/bitmap-fonts-0.3-11.fc11.src.rpm

different license for each subpackage is done in smc-fonts, but i am not sure about license of these fonts, please guide if anything
Comment 19 Tom "spot" Callaway 2009-10-08 09:32:21 EDT
Licensing
==========

* 10x20.bdf, 4x6.bdf, 5x7.bdf, 5x8.bdf, 6x10.bdf, 6x12.bdf, 6x13B.bdf, 6x13.bdf, 6x9.bdf, 7x14B.bdf, 7x14.bdf, 9x15B.bdf, 9x15.bdf, 9x18B.bdf, 9x18.bdf : Public Domain
* fangsongti16.bdf, fangsongti24.bdf : MIT
* lutBS*.bdf : Lucida
Comment 20 Tom "spot" Callaway 2009-10-08 09:32:52 EDT
(In reply to comment #19)
> Licensing
> ==========
> 
> * 10x20.bdf, 4x6.bdf, 5x7.bdf, 5x8.bdf, 6x10.bdf, 6x12.bdf, 6x13B.bdf,
> 6x13.bdf, 6x9.bdf, 7x14B.bdf, 7x14.bdf, 9x15B.bdf, 9x15.bdf, 9x18B.bdf,
> 9x18.bdf : Public Domain
> * fangsongti16.bdf, fangsongti24.bdf : MIT
> * lutBS*.bdf : Lucida  

and... lutRS*.bdf : Lucida
Comment 21 Pravin Satpute 2009-10-09 00:57:52 EDT
thanks for clarification

bitmap fonts also has Console fonts from fixfont tarball
README just says "fonts from kdebase/konsole/fonts from kde 3.5"

what will be the License of these fonts?
Comment 22 Pravin Satpute 2009-10-09 02:29:37 EDT
just saw comment #9 , license for Console is given there

update files are as follows

http://pravins.fedorapeople.org/bitmap-fonts.spec

http://pravins.fedorapeople.org/bitmap-fonts-0.3-12.fc11.src.rpm
Comment 23 Nicolas Mailhot 2009-10-11 17:21:11 EDT
1. needs xorg-x11-font-utils as BR

2. You have some stray "fixed" font in bitmap-console-fonts

3. Some of the files in bitmap-console-fonts declare their name as "console8x8.pcf" which is almost certainly a bug

4. The Lucida Typewriter fonts in bitmap-fonts should be pushed in a
bitmap-lucida-typewriter-fonts subpackage

5. It would be nice if each subpackage included its own fontconfig file

6. you can probably kill the common file and put each license %doc in the corresponding subpackage (just put the %doc line after the corresponding %_font_pkg call). You just need to have each subpackage require fontpackages-filesystem direcly
Comment 24 Pravin Satpute 2009-10-22 05:07:15 EDT
(In reply to comment #23)
> 
> 2. You have some stray "fixed" font in bitmap-console-fonts
yep console9x15.pcf has written fontname FixedMedium
in that case i think we will require Fixed subpackage, with this file included

> 3. Some of the files in bitmap-console-fonts declare their name as
> "console8x8.pcf" which is almost certainly a bug
you are talking about fontname, or file name
i did not found this in fontname, please provide bit more info. 

> 
> 4. The Lucida Typewriter fonts in bitmap-fonts should be pushed in a
> bitmap-lucida-typewriter-fonts subpackage
in that case, bitmap-fonts rpm will be empty?

> 
> 6. you can probably kill the common file and put each license %doc in the
> corresponding subpackage (just put the %doc line after the corresponding
> %_font_pkg call). You just need to have each subpackage require
> fontpackages-filesystem direcly  

so here we suppose to remove common package, also README will not require
and put files for each subpackage in %doc, but we dont have any for console
what to do for it?
Comment 25 Nicolas Mailhot 2009-10-22 05:27:38 EDT
(In reply to comment #24)
> (In reply to comment #23)

> > 3. Some of the files in bitmap-console-fonts declare their name as
> > "console8x8.pcf" which is almost certainly a bug
> you are talking about fontname, or file name

I'm talking about fontname as used by fontconfig (fc-query with the pkgkit format as used to generate rpm font metadata)

> > 4. The Lucida Typewriter fonts in bitmap-fonts should be pushed in a
> > bitmap-lucida-typewriter-fonts subpackage
> in that case, bitmap-fonts rpm will be empty?

It is perfectly possible to have a srpm that only generates subpackages with different names. rpm will only generate a bitmap-fonts rpm from the bitmap-fonts srpm if you put some files in it

> > 6. you can probably kill the common file and put each license %doc in the
> > corresponding subpackage (just put the %doc line after the corresponding
> > %_font_pkg call). You just need to have each subpackage require
> > fontpackages-filesystem direcly  
> 
> so here we suppose to remove common package, also README will not require
> and put files for each subpackage in %doc, but we dont have any for console
> what to do for it?  

If you don't have any doc for console, I guess it will be a doc-less subpackage :)

The main use of -common if when you have bulky shared documentation (very often, big pdf files in the font world)
Comment 26 Pravin Satpute 2009-10-23 01:09:01 EDT
updates spec and srpm

http://pravins.fedorapeople.org/bitmap-fonts.spec

http://pravins.fedorapeople.org/bitmap-fonts-0.3-13.fc11.src.rpm

yeah, fc-scan is giving wrong o/p for console8*8 font family name, looks some problem.
we dont a source file for console8*8
Comment 27 Nicolas Mailhot 2009-10-23 04:40:17 EDT
(In reply to comment #26)

> yeah, fc-scan is giving wrong o/p for console8*8 font family name, looks some
> problem. we dont a source file for console8*8

Well, your choices for that file are :
1. drop it, wait for complains, ask whoever complains to fix the file
2. write a fontforge (or other) script to fix the file yourself at build time
3. enhance fontconfig to read the real font name (assuming it is present at all in the font file)
4. remap the font name in a fontconfig rule (see the remapping-font-template). But this is still a workaround, not a complete solution, and you'll get nagged every time the font audit scripts run

Continuing to deploy a file that does not work in fontconfig is not acceptable, that sends the wrong message to third-parties.
Comment 28 Nicolas Mailhot 2009-11-03 14:28:52 EST
Please lift the NEEDINFO when you're ready to pass to the next stage
Comment 29 Pravin Satpute 2009-11-03 23:03:00 EST
i will resolve the above problem, will try to resolve it else will drop it.
is anything to do more from my side?
Comment 30 Nicolas Mailhot 2009-11-04 04:16:57 EST
I didn't find anything else so far. Of course I add new tests regularly when a problem reports makes me realise there is something else that needs to be checked in existing packages.
Comment 31 Pravin Satpute 2009-11-08 20:53:34 EST
updated srpm and spec

http://pravins.fedorapeople.org/bitmap-fonts-0.3-14.fc12.src.rpm
http://pravins.fedorapeople.org/bitmap-fonts.spec

removed console8x8.pcf for now will try to solve problem in free time
Comment 32 Pravin Satpute 2009-11-18 00:28:37 EST
should i proceed with devel build?
Comment 33 Nicolas Mailhot 2009-11-18 06:08:23 EST
You can build in rawhide however please do not close this, I need to find time to review the result properly and approve the merge review (unfortunately, it seems I'm a bit under water those past days)
Comment 34 Nicolas Mailhot 2009-11-28 12:32:26 EST
Ok, looking at this srpm, most of the warnings and errors are gone. Good!

However:

1. (not blocking) fontlint does not like any of the resulting font files, they all need fixing but I guess it's not worse than before

2. (not blocking) the lucida typewriter files declare broken style naming that really needs fixing or apps won't be happy

3. (not blocking) all the files have almost-complete (but not complete) coverage of one or more unicode blocks (probably reflects unicode changes since they were last updated)

4. (blocking) License: Lucida is probably wrong for the base package, it should be GPLv2 and MIT

5. (not blocking) Requires: fontpackages-filesystem is not needed for the base package

6. (blocking) since the bitmap-fonts package does not exist anymore, it needs to be garbage-collected. Please add an
Obsoletes: bitmap-fonts < 0.3-14
to the bitmap-fixed-fonts subpackage (let's not be fancy, it's not worth it)

It seems I was a little optimistic before, this package needs some tweaking yet. But it has progressed a lot
Comment 35 Nicolas Mailhot 2009-11-28 12:35:03 EST
Created attachment 374438 [details]
repo-font-audit test results for this package
Comment 36 Pravin Satpute 2010-02-23 09:50:45 EST
sorry, i missed this for long time
better to fix this before f13



fixed blocking things
fixed macro in changelog
added empty build section

SRPM: http://pravins.fedorapeople.org/bitmap-fonts-0.3-15.fc12.src.rpm
SPEC : http://pravins.fedorapeople.org/bitmap-fonts.spec

how can we fix
rpmlint warning
bitmap-fonts.src: W: no-url-tag
bitmap-fonts.src: W: invalid-url Source1: fixfont-3.5.tar.bz2
bitmap-fonts.src: W: invalid-url Source0: bitmap-fonts-0.3.tar.bz2

do we have any upstream link for this
http://websvn.kde.org/tags/KDE/3.5.9/kdebase/konsole/

else, may be we can add some notes in spec file

nicholas please guide
Comment 37 Fedora Update System 2010-02-25 01:09:55 EST
bitmap-fonts-0.3-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bitmap-fonts-0.3-15.fc13
Comment 38 Matěj Cepl 2010-07-17 16:40:45 EDT
what is the status of this bug now? Should it has still fedora-review?
Comment 39 Pravin Satpute 2010-07-19 02:41:34 EDT
all blocking things are fixed
Nicholas can you check this once? may be we can close this now :)
Comment 40 Nicolas Mailhot 2010-08-15 12:02:32 EDT
Everything blocking is fixed indeed. Thanks for the awesome work cleaning up this mess!

If you still have some cycles, I guess the Lucida naming is the worst remaining problem. But it's a font bug, not a packaging problem.

Note You need to log in before you can comment on or make changes to this bug.